<?php
namespace Claromentis\Infocapture\Event;

$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"] ?: array()) + array();
use Claromentis\Core\Event\Event;
use HDProject;
class NotificationRuleChangeEvent extends Event implements ProjectEventInterface
{
    
    
    
    
    private $project;
    
    
    
    
    private $rule_id;
    
    
    
    
    private $old_info;
    
    
    
    
    private $new_info;
    public function __construct(HDProject $project, int $_70b8defb149c9cb8498b00fbeb183a26, ?array $_84854b7fcbae357d85ee1d0d02c5ec52, ?array $_a5cc3864872ba1cf22fee4ebb63b1fc8)
    {
        $this->project = $project;
        $this->rule_id = $_70b8defb149c9cb8498b00fbeb183a26;
        $this->old_info = $_84854b7fcbae357d85ee1d0d02c5ec52;
        $this->new_info = $_a5cc3864872ba1cf22fee4ebb63b1fc8;
    }
    
    
    
    
    public function getProject() : HDProject
    {
        return $this->project;
    }
    
    
    
    
    public function getRuleId() : int
    {
        return $this->rule_id;
    }
    
    
    
    
    public function getOldInfo() : ?array
    {
        return $this->old_info;
    }
    
    
    
    
    public function getNewInfo() : ?array
    {
        return $this->new_info;
    }
}